<?php
/* Ultimi messaggi del forum in formato RSS */

@require(CMOD."forum/funzioni".PHP);

 if(file_exists("rss/".$lng."-ForumXml.xml")===false||($data-filemtime("rss/".$lng."-ForumXml.xml"))>300) {

    function EncodeISO($textin,$code) {
      if ($code == "iso-8859-1") {
        $textout = htmlentities($textin);
        $textout = str_replace("&amp;#039;",  "&#039;",$textout);
        $textout = str_replace("&amp;quot;",  "&quot;",$textout);
        $textout = str_replace("&amp;amp;",  "&#38;",$textout);
        $textout = str_replace("&nbsp;",  "&#160;",$textout);
        $textout = str_replace("&iexcl;", "&#161;",$textout);
        $textout = str_replace("&cent;",  "&#162;",$textout);
        $textout = str_replace("&pound;", "&#163;",$textout);
        $textout = str_replace("&curren;","&#164;",$textout);
        $textout = str_replace("&yen;",   "&#165;",$textout);
        $textout = str_replace("&brvbar;","&#166;",$textout);
        $textout = str_replace("&sect;",  "&#167;",$textout);
        $textout = str_replace("&uml;",   "&#168;",$textout);
        $textout = str_replace("&copy;",  "&#169;",$textout);
        $textout = str_replace("&ordf;",  "&#170;",$textout);
        $textout = str_replace("&laquo;", "&#171;",$textout);
        $textout = str_replace("&not;",   "&#172;",$textout);
        $textout = str_replace("&shy;",   "&#173;",$textout);
        $textout = str_replace("&reg;",   "&#174;",$textout);
        $textout = str_replace("&macr;",  "&#175;",$textout);
        $textout = str_replace("&deg;",   "&#176;",$textout);
        $textout = str_replace("&plusmn;","&#177;",$textout);
        $textout = str_replace("&sup2;",  "&#178;",$textout);
        $textout = str_replace("&sup3;",  "&#179;",$textout);
        $textout = str_replace("&acute;", "&#180;",$textout);
        $textout = str_replace("&micro;", "&#181;",$textout);
        $textout = str_replace("&para;",  "&#182;",$textout);
        $textout = str_replace("&middot;","&#183;",$textout);
        $textout = str_replace("&cedil;", "&#184;",$textout);
        $textout = str_replace("&sup1;",  "&#185;",$textout);
        $textout = str_replace("&ordm;",  "&#186;",$textout);
        $textout = str_replace("&raquo;", "&#187;",$textout);
        $textout = str_replace("&frac14;","&#188;",$textout);
        $textout = str_replace("&frac12;","&#189;",$textout);
        $textout = str_replace("&frac34;","&#190;",$textout);
        $textout = str_replace("&iquest;","&#191;",$textout);
        $textout = str_replace("&Agrave;","&#192;",$textout);
        $textout = str_replace("&Aacute;","&#193;",$textout);
        $textout = str_replace("&Acirc;", "&#194;",$textout);
        $textout = str_replace("&Atilde;","&#195;",$textout);
        $textout = str_replace("&Auml;",  "&#196;",$textout);
        $textout = str_replace("&Aring;", "&#197;",$textout);
        $textout = str_replace("&AElig;", "&#198;",$textout);
        $textout = str_replace("&Ccedil;","&#199;",$textout);
        $textout = str_replace("&Egrave;","&#200;",$textout);
        $textout = str_replace("&Eacute;","&#201;",$textout);
        $textout = str_replace("&Ecirc;", "&#202;",$textout);
        $textout = str_replace("&Euml;",  "&#203;",$textout);
        $textout = str_replace("&Igrave;","&#204;",$textout);
        $textout = str_replace("&Iacute;","&#205;",$textout);
        $textout = str_replace("&Icirc;", "&#206;",$textout);
        $textout = str_replace("&Iuml;",  "&#207;",$textout);
        $textout = str_replace("&ETH;",   "&#208;",$textout);
        $textout = str_replace("&Ntilde;","&#209;",$textout);
        $textout = str_replace("&Ograve;","&#210;",$textout);
        $textout = str_replace("&Oacute;","&#211;",$textout);
        $textout = str_replace("&Ocirc;", "&#212;",$textout);
        $textout = str_replace("&Otilde;","&#213;",$textout);
        $textout = str_replace("&Ouml;",  "&#214;",$textout);
        $textout = str_replace("&times;", "&#215;",$textout);
        $textout = str_replace("&Oslash;","&#216;",$textout);
        $textout = str_replace("&Ugrave;","&#217;",$textout);
        $textout = str_replace("&Uacute;","&#218;",$textout);
        $textout = str_replace("&Ucirc;", "&#219;",$textout);
        $textout = str_replace("&Uuml;",  "&#220;",$textout);
        $textout = str_replace("&Yacute;","&#221;",$textout);
        $textout = str_replace("&THORN;", "&#222;",$textout);
        $textout = str_replace("&szlig;", "&#223;",$textout);
        $textout = str_replace("&agrave;","&#224;",$textout);
        $textout = str_replace("&aacute;","&#225;",$textout);
        $textout = str_replace("&acirc;", "&#226;",$textout);
        $textout = str_replace("&atilde;","&#227;",$textout);
        $textout = str_replace("&auml;",  "&#228;",$textout);
        $textout = str_replace("&aring;", "&#229;",$textout);
        $textout = str_replace("&aelig;", "&#230;",$textout);
        $textout = str_replace("&ccedil;","&#231;",$textout);
        $textout = str_replace("&egrave;","&#232;",$textout);
        $textout = str_replace("&eacute;","&#233;",$textout);
        $textout = str_replace("&ecirc;", "&#234;",$textout);
        $textout = str_replace("&euml;",  "&#235;",$textout);
        $textout = str_replace("&igrave;","&#236;",$textout);
        $textout = str_replace("&iacute;","&#237;",$textout);
        $textout = str_replace("&icirc;", "&#238;",$textout);
        $textout = str_replace("&iuml;",  "&#239;",$textout);
        $textout = str_replace("&eth;",   "&#240;",$textout);
        $textout = str_replace("&ntilde;","&#241;",$textout);
        $textout = str_replace("&ograve;","&#242;",$textout);
        $textout = str_replace("&oacute;","&#243;",$textout);
        $textout = str_replace("&ocirc;", "&#244;",$textout);
        $textout = str_replace("&otilde;","&#245;",$textout);
        $textout = str_replace("&ouml;",  "&#246;",$textout);
        $textout = str_replace("&divide;","&#247;",$textout);
        $textout = str_replace("&oslash;","&#248;",$textout);
        $textout = str_replace("&ugrave;","&#249;",$textout);
        $textout = str_replace("&uacute;","&#250;",$textout);
        $textout = str_replace("&ucirc;", "&#251;",$textout);
        $textout = str_replace("&uuml;",  "&#252;",$textout);
        $textout = str_replace("&yacute;","&#253;",$textout);
        $textout = str_replace("&thorn;", "&#254;",$textout);
        $textout = str_replace("&yuml;",  "&#255;",$textout);
      }
      return $textout;
    }

    $xml  = "<?xml version=\"1.0\" encoding=\"$CharSet\"?>\n";
    $xml .= "<rss version=\"2.0\">\n";
    $xml .= "<channel>\n"; 
    $xml .= "<title>".$sito[0]." - Forum"."</title>\n";
    $xml .= "<link>".$sito[2]."</link>\n";
    $xml .= "<description>".EncodeISO($meta[8],$CharSet)."</description>\n";
    $xml .= "<docs>http://vaniarupeni.altervista.org/</docs>\n";
    $xml .= "<generator>New-CMS</generator>\n";
    $xml .= "<copyright>".EncodeISO($meta[6],$CharSet)."</copyright>\n";
    $xml .= "<language>".$lng."</language>\n";
    $oggi = date("D, d M Y H:i:s +0100");
    $xml .= "<pubDate>".date("r",$data)."</pubDate>\n";

    $Umfor = lista(CFOR."lastI".DTB);
    $listcat_forum = @lista(CFOR."cat".DTB);
    $listadeiforum = @lista(CFOR."forum".DTB);
    @sort($listadeiforum);
    for($i=0;$i<count($listadeiforum);$i++){
    $Dforum = dblin($listadeiforum[$i]);
    $dforum = explode("||",$Dforum[0]);
    $Linkforum[$Dforum[1]] = $i;
    }
    $zi=0;
     for($i=0;$i<15;$i++){
      if(isset($Umfor[$i])===false) { break; }

         $UmFor = dblin($Umfor[$i]);
         $DB_catF = dblin($listcat_forum[$UmFor[0]-1]);
         $DB_catFl = explode("||",$DB_catF[0]);
         if($DB_catFl[$LNG]!="") { $NomeCatForum = $DB_catFl[$LNG]; } else { $NomeCatForum = $DB_catFl[0]; }
         $xml .= "<item>\n<title>".EncodeISO($UmFor[6],$CharSet)."</title>\n";
         $xml .= "<link>".$sito[2]."index.php?lng=$lng&amp;mod=forum&amp;pg=pagina&amp;fid=".($Linkforum[$DB_catF[4]])."&amp;cid=".$UmFor[0]."&amp;pid=".$UmFor[1]."</link>\n";
         $xml .= "<author>".EncodeISO($UmFor[7],$CharSet)."</author>\n";
         $xml .= "<pubDate>".date("r",$UmFor[4])."</pubDate>\n";
         $UmFor[3] = htmlspecialchars($UmFor[3]);
         $UmFor[3] = strip_tags(bb_decode(Delcode($UmFor[3])));
         if($UmFor[5]>0){ // se  una replica
         $xml .= "<description>".EncodeISO("<strong>".$ricerca[1]." # ".$UmFor[5]." - </strong><a href=\"".$sito[2]."index.php?lng=$lng&amp;mod=forum&amp;pg=pagina&amp;fid=".($Linkforum[$DB_catF[4]])."&amp;cid=".$UmFor[0]."&amp;pid=".$UmFor[1]."&amp;mid=".$UmFor[5]."#".$UmFor[5]."\" title=\"$forum[10] $txt[23] $UmFor[2]\">".$UmFor[3]."</a>",$CharSet)."</description>\n";
         } else {
         $xml .= "<description>".EncodeISO($UmFor[3],$CharSet)."</description>\n";
         }
         $xml .= "</item>";

      } //next

     $xml .= "</channel></rss>";
     Scrivi("rss/".$lng."-ForumXml.xml",$xml);

 }

header("location:"."rss/".$lng."-ForumXml.xml");
?>
